import { Entity } from '../core.js';
import { SearchStrategy, SearchConfig, SearchOptions } from './types.js';
/**
 * Main search orchestrator that manages different search strategies
 */
export declare class SearchManager {
    private config;
    private strategy;
    constructor(config: SearchConfig, strategy: SearchStrategy);
    search(query: string, entities: Entity[], options?: SearchOptions, project?: string): Promise<Entity[]>;
    private exactSearch;
}
//# sourceMappingURL=search-manager.d.ts.map